# Class webdriver.promise.Promise.`<T>`

code »

All implemented interfaces:
  `webdriver.promise.Thenable.<(T|null)>`

Represents the eventual value of a completed operation. Each promise may be in one of three states: pending, resolved, or rejected. Each promise starts in the pending state and may make a single transition to either a fulfilled or rejected state, at which point the promise is considered resolved.

## Constructor

webdriver.promise.Promise ( )
Show:Public Protected Private

## Instance Methods

code »cancel ( reason )

Parameters

reason

code »isPending ( ) ⇒ `boolean`
code »then ( opt_callback, opt_errback )

Parameters

opt_callback
opt_errback

code »thenCatch ( errback )

Parameters

errback

code »thenFinally ( callback )

Parameters

callback